### Constructor

# FwupdPlugin Smbios new

since: 1.0.0

#### Declaration [src]

    FuSmbios*
    fu_smbios_new (
      FuPathStore* pstore
    )

#### Description [src]

Creates a new object to parse SMBIOS data.

Available since: 1.0.0

#### Parameters

`pstore`

  Type: `FuPathStore`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `FuSmbios`

A `FuSmbios`.

The caller of the function takes ownership of the data, and is responsible for freeing it.